import { serializeCookie } from "../utils/cookie.js";
export const SESSION_COOKIE_NAME = "auth_session";
export const createSessionCookie = (session, env, options) => {
    return new Cookie(SESSION_COOKIE_NAME, session?.sessionId ?? "", {
        ...options,
        httpOnly: true,
        expires: new Date(session?.idlePeriodExpiresAt ?? 0),
        secure: env === "PROD"
    });
};
export class Cookie {
    constructor(name, value, options) {
        this.name = name;
        this.value = value;
        this.attributes = options;
    }
    name;
    value;
    attributes;
    serialize = () => {
        return serializeCookie(this.name, this.value, this.attributes);
    };
}
