export const u32 = (arr) => new Uint32Array(arr.buffer, arr.byteOffset, Math.floor(arr.byteLength / 4));
export const nextTick = async () => { };
const isPlainObject = (obj) => {
    return (Object.prototype.toString.call(obj) === "[object Object]" &&
        obj.constructor === Object);
};
export function checkOpts(defaults, opts) {
    if (opts !== undefined && (typeof opts !== "object" || !isPlainObject(opts)))
        throw new TypeError("Options should be object or undefined");
    const merged = Object.assign(defaults, opts);
    return merged;
}
export const asyncLoop = async (iters, tick, cb) => {
    let ts = Date.now();
    for (let i = 0; i < iters; i++) {
        cb(i);
        const diff = Date.now() - ts;
        if (diff >= 0 && diff < tick)
            continue;
        await nextTick();
        ts += diff;
    }
};
